> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List observed versions for an installed application

> Returns a paginated list of observed versions for the installed application within the scope of the organization.



## OpenAPI

````yaml /en/api-reference/openapi.en-v1.json get /v1/organizations/{organization_id}/installed-apps/{installed_app_id}/versions
openapi: 3.0.3
info:
  title: Public Portal API
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.staging.flxwvdexternal.com
    description: Staging API server.
security:
  - bearerAuth: []
tags: []
paths:
  /v1/organizations/{organization_id}/installed-apps/{installed_app_id}/versions:
    get:
      tags:
        - Installed apps
      summary: List observed versions for an installed application
      description: >-
        Returns a paginated list of observed versions for the installed
        application within the scope of the organization.
      operationId: get_installed_app_versions
      parameters:
        - name: organization id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: installed_app_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Installed application identifier.
          example: 64f0c2a1b2d3e4f5060708c1
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page number.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 100
            maximum: 100
            minimum: 1
          description: Number of items per page.
        - name: fields
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
          description: Names of response element fields, comma-separated, to be included.
        - name: filters
          in: query
          required: false
          schema:
            type: string
            maxLength: 5120
          description: JSON filter expression on filterable field paths of the response.
          examples:
            simple:
              summary: Filter by exact version
              value: '{"field":"version","op":"eq","value":"117.0.5938.149"}'
            complex-and:
              summary: Filter by an exact version within an expression and
              value: >-
                {"and":[{"field":"version","op":"eq","value":"117.0.5938.149"},{"field":"version","op":"eq","value":"117.0.5938.149"}]}
            complex-or-and:
              summary: Combine version alternatives in nested logic
              value: >-
                {"and":[{"or":[{"field":"version","op":"eq","value":"117.0.5938.149"},{"field":"version","op":"eq","value":"118.0.5993.70"}]},{"field":"version","op":"eq","value":"118.0.5993.70"}]}
        - name: sort
          in: query
          required: false
          schema:
            type: string
            pattern: ^(version|discovered_at|reported_at):(asc|desc)$
          description: Sort expression in the format <field>:asc|desc.
      responses:
        '200':
          description: Installed application versions retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInstalledAppVersionsResponseV1'
              examples:
                paginated_result:
                  summary: Paginated list with version rows
                  value:
                    has_next: true
                    data:
                      - version: 118.0.5993.90
                        reported_at: '2026-04-05T10:12:00Z'
                        discovered_at: '2026-02-01T08:30:00Z'
                empty_result:
                  summary: No versions found
                  value:
                    has_next: false
                    data: []
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_filters:
                  summary: Invalid filter format
                  value:
                    error:
                      message: Invalid filter format
                      code: bad_request
                      details: filters must be a valid JSON
        '401':
          description: Not authorized or organization not accessible.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                organization_not_authorized:
                  summary: Organization access error
                  value:
                    error:
                      message: Unauthorized
                      code: unauthorized
        '404':
          description: >-
            Requested resource not found within the scope of the authorized
            organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                installed_app_not_found:
                  summary: Installed application not found
                  value:
                    error:
                      message: Not Found
                      code: not_found
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unexpected_error:
                  summary: Unhandled error
                  value:
                    error:
                      message: Internal Server Error
                      code: internal_error
components:
  schemas:
    GetInstalledAppVersionsResponseV1:
      type: object
      properties:
        has_next:
          type: boolean
          description: Indicates if another page is available.
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetInstalledAppVersionsItemV1'
      required:
        - has_next
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    GetInstalledAppVersionsItemV1:
      type: object
      properties:
        version:
          type: string
          nullable: true
          description: Installed application version.
        reported_at:
          type: string
          format: date-time
          description: Timestamp of the last report for this version.
        discovered_at:
          type: string
          format: date-time
          description: Timestamp of the first observation for this version.
      required:
        - reported_at
        - discovered_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````